#include <iostream>
#include <cmath>


using namespace std;

long double factorial(int x){
    if(x == 1 || x == 0){
        return 1;
    }
    return x*factorial(x-1);

}

long double exp_inv(int x){
    long double res = 0;
    for(int n = 0; n < 10+6*abs(x); n++){ // Note: The condition is to correct the accuracy as the value
        res += pow(-1, n)*pow(x, n)/(factorial(n)); // of x increases, and to allow for positive and
    }						// negtive values of x.
return res;
}

int main(){
int x;

cout << "Enter a value for x to compute e^(-x): " << endl;
cin >> x;
cout << "The value of e^(-" << x << ") is: " << exp_inv(x) << endl;

return 0;

}
