#include <iostream>

using namespace std;

class Complex
{
public:
    Complex(){
        real = 1, imaginary = 1;
    }
    Complex(double r, double i){
        real = r;
        imaginary= i;
    }
    double getReal(){
        return real;
    }
    double getImaginary(){
        return imaginary;
    }
    Complex add(Complex C2){
        return Complex(real + C2.getReal(), imaginary + C2.getImaginary());
    }
    Complex subtract(Complex C2){
        return Complex(real - C2.getReal(), imaginary - C2.getImaginary());
    }
    void Print(){
        cout << "(" << real << ", " << imaginary << ")" << endl;
    }
private:
    double real, imaginary;
};


int main()
{
    Complex a, b = Complex(10, 5);
    Complex c = a.add(b);
    Complex d = a.subtract(b);
    cout << "a = ";
    a.Print();
    cout << "b = ";
    b.Print();
    cout << "c = a + b =  ";
    c.Print();
    cout << "d = a - b = ";
    d.Print();

    return 0;
}
