#include <iostream>
#include <cmath>

using namespace std;

double f1(double, double);

int main(){
	double a, sum=0;
	cout << "Enter a:";
	cin >> a;
	for(double i = 0; i <= 1.001; i+=0.01){
		sum += f1(a,i);
	}
	cout << "The sum is: " << sum << endl; // The result is 156.238

	int roots = 0;
	for(double r = 0; r <= 1; r+=0.01){

		if( f1(a,r)*f1(a, r+0.01)<0 ){

			cout << r << " is a root." << endl;
			roots++; // There are 3 roots: 0.26, 0.52, 0.78.

		}

	}

	int minima = 0;

	for(double r = 0.01; r <= 1; r+=0.01){

		if(f1(a,r-0.01)>f1(a, r) && f1(a,r)<f1(a, r+0.01)){
			cout << "The function admits a local minimum at x = " << r << ", f(x) = " << f1(a,r) << endl;
			minima++; // There are two minima: (0.37,-2.60) and (0.91, -1.096)
		}

	}


    return 0;
}


double f1(double a, double x){
	if(!x)
		return a;
	else
		return sin(a*x)/x;
}
